## ros-lunar-trac-ik-kinematics-plugin 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(trac_ik_kinematics_plugin)

if(CMAKE_COMPILER_IS_GNUCXX OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang"))
    set(CMAKE_CXX_FLAGS "-std=c++0x ${CMAKE_CXX_FLAGS}")
endif()

find_package(catkin REQUIRED
  COMPONENTS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
    trac_ik_lib
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    moveit_core
    pluginlib
    roscpp
    tf_conversions
    trac_ik_lib
)

set(TRAC_IK_LIBRARY_NAME trac_ik_kinematics_plugin)

add_library(${TRAC_IK_LIBRARY_NAME} src/trac_ik_kinematics_plugin.cpp)
target_link_libraries(${TRAC_IK_LIBRARY_NAME} ${catkin_LIBRARIES})

install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
)

install(TARGETS ${TRAC_IK_LIBRARY_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(
  FILES
    trac_ik_kinematics_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-lunar-trac-ik-kinematics-plugin (1.5.0-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Patrick Beeson <pbeeson@traclabs.com>  Wed, 22 Aug 2018 15:38:00 -0000

=== debian/control ===
Source: ros-lunar-trac-ik-kinematics-plugin
Section: misc
Priority: extra
Maintainer: Patrick Beeson <pbeeson@traclabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-moveit-core, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf-conversions, ros-lunar-trac-ik-lib
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-trac-ik-kinematics-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-moveit-core, ros-lunar-pluginlib, ros-lunar-roscpp, ros-lunar-tf-conversions, ros-lunar-trac-ik-lib
Description: A MoveIt! Kinematics plugin using TRAC-IK
